### Method

# Tsparql SparqlConnection update_async

#### Declaration [src]

    void
    tracker_sparql_connection_update_async (
      TrackerSparqlConnection* connection,
      const gchar* sparql,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Executes asynchronously a SPARQL update.

It is recommented to consider the usage of `TrackerBatch` to cluster database updates. Frequent isolated SPARQL updates through this method will have a degraded performance in comparison.

If the query is partially built from user input or other untrusted sources, special care is required about possible SPARQL injection. In order to avoid it entirely, it is recommended to use `TrackerSparqlStatement`, or to build the SPARQL input through `TrackerResource`. The function `tracker_sparql_escape_string()` exists as a last resort, but its use is not recommended.

This method completes asynchronously. Use `tracker_sparql_connection_update_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`sparql`

  Type: `const gchar*`

  String containing the SPARQL update query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.